// pages/about/Feedback.js
const upload = require("../../utils/upload")
const api = require('../../api/index')
Page({

  /**
   * 页面的初始数据
   */
  data: {
    fileList:[],
    form:{}
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },


  //修改数据
  changeValue(e){
    var {field} = e.currentTarget.dataset
    var value = e.detail.value
    this.setData(
      {
        ["form."+field]:value
      }
    )
  },
  //上传文件
  beforeUpload(e){
    if(e.detail.errMsg=="chooseMedia:ok"){
      // var data = [{
      //   status: 'done',
      //   url: e.detail.tempFiles[0].tempFilePath,
      // }]
      var that = this
      var tempFilePaths = e.detail.tempFiles
      tempFilePaths.forEach(item=>{
        let tempFilePath = item.tempFilePath
        // this.setData({ imageUrl:e.detail.tempFiles[0].tempFilePath })
        upload.upload(tempFilePath).then(res=>{
          if(res.code == 200){
            // var arr = []
            // arr.push(res.data[0])
            var guid = res.data[0]
            var arr = that.data.fileList
            arr.push(
              {
                url:tempFilePath,
                guid:guid,
                status:"done"
              }
            )
            that.setData(
              {
                // ["form.fileGuids"]:arr
                fileList:arr
              }
            )
          }
        })
      })
      
    }
  },
  //移除
  onRemove(e){
    const { file, fileList } = e.detail
    wx.showModal({
      content: '确定删除？',
      success: (res) => {
        if (res.confirm) {
          this.setData({
            fileList: this.data.fileList.filter((n) => n.guid !== file.guid),
          })
        }
      },
    })
  },
  //提交
  submit(){
    if(!this.data.form.feedbackContent){
      wx.showToast({
        title: '请输入您的问题',
        icon:'none'
      })
      return
    }
    var params = this.data.form
    params.fileGuids=this.data.fileList.map(item=>item.guid)
    wx.showLoading({
      title: '加载中',
    })
    api.addUserFeedback(params).then(res=>{
      if(res.code == 200){
        wx.showToast({
          title: '提交成功',
        })
        wx.navigateBack()
      }
    })
    
    
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})